#include <iostream>
using namespace std;

int main()
{
	int a, b, x, y;
	cin >> a >> b;
	cin >> x >> y;
	if (a == x)
	{
		if (b == y)
		{
			cout << "nijedan";
		}
		else if(b > y)
		{
			cout << "drugi";
		}
	}
	else if (a > x)
	{
		if (b == y)
		{
			cout << "prvi";
		}
		else if (b > y)
		{
			cout << "?";
		}
	}
}